// kompl2.h - Klasa kompleksnih brojeva.

#ifndef _kompl2_h_
#define _kompl2_h_

#include "objekat.h"

class Kompl: public Obj {
  double re, im;                                     // Sadrzaj objekta.
  bool jednako(const Obj& obj) const override        // Da li su jednaki?
    { return re==((Kompl&)obj).re && im==((Kompl&)obj).im; }
  void pisi (ostream& it) const override             // Pisanje objekta.
    { it << '(' << re << ',' << im << ')'; }
  void citaj(istream& ut) override                   // Citanje objekta.
    { char zn; ut >> zn >> re >> zn >> im >> zn; }
public:
  Kompl(double x=0, double y=0): re(x), im(y) {}     // Inicijalizacija.
  string klasa() const override { return "Kompl"; }  // Ime klase.
  Kompl* kopija() const override                     // Kopija objekta.
    { return new Kompl(*this); }
};

#endif

