// mnogougao2.h - Klasa obojenih mnogouglova.

#ifndef _mnogougao2_h_
#define _mnogougao2_h_

#include "figura3.h"
#include "niz4.h"

namespace Figure {
  class Mnogougao: public Figura {
    Niz<Tacka> temena; // Temena mnogougla.
  public:              // Konstruktor.
    explicit Mnogougao(const Niz<Tacka>& tem, Boja b=Boja())
      : Figura(b), temena(tem) {}
    Mnogougao* kopija() const              // Polimorfna kopija.
      { return new Mnogougao(*this); }
    bool pripada(const Tacka& T) const;    // Da li tacka pripada?
  }; // class Mnogougao
} // namespace Figure

#endif

