// uredjaj.h - Klasa elektricnih uredjaja.

#ifndef _uredjaj_h_
#define _uredjaj_h_

#include "potrosac1.h"
#include <iostream>
#include <string>
using namespace std;

namespace Potrosaci {
  class Uredjaj: public Potrosac {
    string naz;                                    // Naziv uredjaja.
    double sna;                                    // Snaga uredjaja.
    void pisi(ostream&it) const override           // Pisanje uredjaja.
      { it << naz << '(' << sna << ')'; }
  public:
    Uredjaj(string n, double s): naz(n), sna(s) {} // Inicijalizacija.
    double snaga() const override { return sna; }  // Snaga uredjaja.
    Uredjaj* kopija() const override               // Kopiranje.
      {return new Uredjaj(*this);}
  }; // class
} // namespace

#endif

