// lokomot1.h - Klasa lokomotiva.

#ifndef _lokomot1_h_
#define _lokomot1_h_

#include "vozilo2.h"
#include <iostream>
using namespace std;

namespace Vozovi1 {
  class Lokomot: public Vozilo {
    float v_sila;                         // Vucna sila lokomotive.
    void pisi(ostream& it) const override // Pisanje lokomotive.
      { Vozilo::pisi(it); it << '(' << v_sila << ')'; }
  public:
    static const char VR = 'L';           // Oznaka za lokomotive.
    Lokomot(float sop_tez, float vs): Vozilo(sop_tez)    // Konstruktor.
      { v_sila = vs; }
    char vrsta() const override { return VR; }           // Oznaka vrste.
    float uk_tezina() const override                     // Ukupna tezina.
      { return sop_tezina(); }
    float vucna_sila() const { return v_sila; }          // Vucna sila.
    Lokomot* kopija() const override                     // Kopija.
      {return new Lokomot(*this);}
  }; // class
} // namespace

#endif

